cc.funkemunky.api.utils.math

## Class RayTrace

- java.lang.Object
- - cc.funkemunky.api.utils.math.RayTrace

    public class RayTrace
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RayTrace(org.bukkit.util.Vector origin, org.bukkit.util.Vector direction)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.List<org.bukkit.block.Block>` `getBlocks(org.bukkit.World world, double blocksAway, double accuracy)`
`org.bukkit.util.Vector` `getPostion(double blocksAway)`
`void` `highlight(org.bukkit.World world, double blocksAway, double accuracy)`
`boolean` `intersects(BoundingBox boundingBox, double blocksAway, double accuracy)`
`boolean` `intersects(BoundingBox boundingBox, double skip, double blocksAway, double accuracy)`
`boolean` `intersects(org.bukkit.util.Vector min, org.bukkit.util.Vector max, double blocksAway, double accuracy)`
`static boolean` `intersects(org.bukkit.util.Vector position, org.bukkit.util.Vector min, org.bukkit.util.Vector max)`
`boolean` `isOnLine(org.bukkit.util.Vector position)`
`org.bukkit.util.Vector` `positionOfIntersection(BoundingBox boundingBox, double blocksAway, double accuracy)`
`org.bukkit.util.Vector` `positionOfIntersection(BoundingBox boundingBox, double skip, double blocksAway, double accuracy)`
`org.bukkit.util.Vector` `positionOfIntersection(org.bukkit.util.Vector min, org.bukkit.util.Vector max, double blocksAway, double accuracy)`
`java.util.List<org.bukkit.util.Vector>` `traverse(double blocksAway, double accuracy)`
`java.util.List<org.bukkit.util.Vector>` `traverse(double skip, double blocksAway, double accuracy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RayTrace

    public RayTrace(org.bukkit.util.Vector origin,
                    org.bukkit.util.Vector direction)

### Method Detail

#### intersects

    public static boolean intersects(org.bukkit.util.Vector position,
                                     org.bukkit.util.Vector min,
                                     org.bukkit.util.Vector max)

#### getPostion

    public org.bukkit.util.Vector getPostion(double blocksAway)

#### isOnLine

    public boolean isOnLine(org.bukkit.util.Vector position)

#### traverse

    public java.util.List<org.bukkit.util.Vector> traverse(double blocksAway,
                                                           double accuracy)

#### traverse

    public java.util.List<org.bukkit.util.Vector> traverse(double skip,
                                                           double blocksAway,
                                                           double accuracy)

#### getBlocks

    public java.util.List<org.bukkit.block.Block> getBlocks(org.bukkit.World world,
                                                            double blocksAway,
                                                            double accuracy)

#### positionOfIntersection

    public org.bukkit.util.Vector positionOfIntersection(org.bukkit.util.Vector min,
                                                         org.bukkit.util.Vector max,
                                                         double blocksAway,
                                                         double accuracy)

#### intersects

    public boolean intersects(org.bukkit.util.Vector min,
                              org.bukkit.util.Vector max,
                              double blocksAway,
                              double accuracy)

#### positionOfIntersection

    public org.bukkit.util.Vector positionOfIntersection(BoundingBox boundingBox,
                                                         double blocksAway,
                                                         double accuracy)

#### positionOfIntersection

    public org.bukkit.util.Vector positionOfIntersection(BoundingBox boundingBox,
                                                         double skip,
                                                         double blocksAway,
                                                         double accuracy)

#### intersects

    public boolean intersects(BoundingBox boundingBox,
                              double blocksAway,
                              double accuracy)

#### intersects

    public boolean intersects(BoundingBox boundingBox,
                              double skip,
                              double blocksAway,
                              double accuracy)

#### highlight

    public void highlight(org.bukkit.World world,
                          double blocksAway,
                          double accuracy)